# Amendments | xrpl
Documentation for xrpl

# Interface Amendments

The Amendments object type contains a list of Amendments that are currently active.

#### Hierarchy

- default
  - Amendments

- Defined in packages/xrpl/src/models/ledger/Amendments.ts:21

#####
Index

### Properties

Amendments?
Flags
LedgerEntryType
Majorities?
index

## Properties

### `Optional` Amendments

Amendments?: string[]

Array of 256-bit amendment IDs for all currently-enabled amendments. If omitted, there are no enabled amendments.

- Defined in packages/xrpl/src/models/ledger/Amendments.ts:27

### Flags

Flags: 0

A bit-map of boolean flags. No flags are defined for the Amendments object type, so this value is always 0.

- Defined in packages/xrpl/src/models/ledger/Amendments.ts:38

### LedgerEntryType

LedgerEntryType: "Amendments"

- Defined in packages/xrpl/src/models/ledger/Amendments.ts:22

### `Optional` Majorities

Majorities?: Majority[]

Array of objects describing the status of amendments that have majority support but are not yet enabled. If omitted, there are no pending amendments with majority support.

- Defined in packages/xrpl/src/models/ledger/Amendments.ts:33

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc